Subject: Re: [PATCH net-next] net: stmmac: propagate feature flags to vlan

From: Jakub Kicinski <[email-masked]>
Date: Wed, 12 Apr 2023 07:45:34 -0700

On Wed, 12 Apr 2023 15:11:44 +0200 Corinna Vinschen wrote:
> On Apr 11 15:00, Corinna Vinschen wrote:
> > stmmac_dev_probe doesn't propagate feature flags to VLANs.  So features
> > like TX offloading don't correspond with the general features and it's
> > not possible to manipulate features via ethtool -K to affect VLANs.  
> 
> On second thought, I wonder if this shouldn't go into net, rather then
> net-next?  Does that make sense? And, do I have to re-submit, if so?

If it's not a regression it should go into net-next.
"never worked, doesn't crash" category.